=== tests/abi-compliance/CMakeLists.txt ===
configure_file(abi.xml.in ${CMAKE_CURRENT_BINARY_DIR}/abi.xml)
