=== src/common/priv/CMakeLists.txt ===
set(TARGET ldm-priv-common)

set(SOURCES
	lomiri/transfers/base_daemon.cpp
	lomiri/transfers/base_manager.cpp
	lomiri/transfers/i18n.cpp
	lomiri/transfers/queue.cpp
	lomiri/transfers/transfer.cpp
	lomiri/transfers/system/apn_proxy.cpp
	lomiri/transfers/system/apn_request_factory.cpp
	lomiri/transfers/system/apparmor.cpp
	lomiri/transfers/system/application.cpp
	lomiri/transfers/system/cryptographic_hash.cpp
	lomiri/transfers/system/dbus_proxy.cpp
	lomiri/transfers/system/dbus_proxy_factory.cpp
	lomiri/transfers/system/file_manager.cpp
	lomiri/transfers/system/filename_mutex.cpp
	lomiri/transfers/system/network_reply.cpp
	lomiri/transfers/system/network_session.cpp
	lomiri/transfers/system/nm_interface.cpp
	lomiri/transfers/system/process.cpp
	lomiri/transfers/system/process_factory.cpp
	lomiri/transfers/system/request_factory.cpp
	lomiri/transfers/system/timer.cpp
	lomiri/transfers/system/uuid_factory.cpp
	lomiri/transfers/system/uuid_utils.cpp
)

set(HEADERS
	lomiri/transfers/adaptor_factory.h
	lomiri/transfers/base_daemon.h
	lomiri/transfers/base_manager.h
	lomiri/transfers/i18n.h
	lomiri/transfers/manager_factory.h
	lomiri/transfers/queue.h
	lomiri/transfers/transfer.h
	lomiri/transfers/system/apn_proxy.h
	lomiri/transfers/system/apn_request_factory.h
	lomiri/transfers/system/apparmor.h
	lomiri/transfers/system/application.h
	lomiri/transfers/system/cryptographic_hash.h
	lomiri/transfers/system/dbus_proxy.h
	lomiri/transfers/system/dbus_proxy_factory.h
	lomiri/transfers/system/file_manager.h
	lomiri/transfers/system/filename_mutex.h
	lomiri/transfers/system/network_reply.h
	lomiri/transfers/system/network_session.h
	lomiri/transfers/system/nm_interface.h
	lomiri/transfers/system/pending_reply.h
	lomiri/transfers/system/process.h
	lomiri/transfers/system/process_factory.h
	lomiri/transfers/system/request_factory.h
	lomiri/transfers/system/timer.h
	lomiri/transfers/system/uuid_factory.h
	lomiri/transfers/system/uuid_utils.h
)

include_directories(${Qt5DBus_INCLUDE_DIRS})
include_directories(${Qt5Network_INCLUDE_DIRS})
include_directories(${Qt5Sql_INCLUDE_DIRS})
include_directories(${DBUS_INCLUDE_DIRS})
include_directories(${CMAKE_CURRENT_SOURCE_DIR})
include_directories(${CMAKE_CURRENT_BINARY_DIR})
include_directories(${CMAKE_SOURCE_DIR}/src/common/public)

add_library(${TARGET} SHARED
	${HEADERS}
	${SOURCES}
)

set_target_properties(
	${TARGET}

	PROPERTIES
	VERSION ${LDM_VERSION_MAJOR}.${LDM_VERSION_MINOR}.${LDM_VERSION_PATCH}
	SOVERSION ${LDM_VERSION_MAJOR}
)

link_directories(${NIH_DBUS_LIBDIR})
link_directories(${GLOG_DBUS_LIBDIR})

target_link_libraries(${TARGET}
	${NIH_DBUS_LIBRARIES}
	${GLOG_LIBRARIES}
	${Qt5Network_LIBRARIES}
	${Qt5Sql_LIBRARIES}
	${Qt5Core_LIBRARIES}
	${Qt5DBus_LIBRARIES}
	ldm-common
)

install(TARGETS ${TARGET} DESTINATION ${CMAKE_INSTALL_LIBDIR})
