=== debian/changelog ===
lomiri-download-manager (0.1.0-9) unstable; urgency=medium

  [ Marius Gripsgard ]
  * debian/rules:
    + Comment out DPKG_GENSYMBOLS_CHECK_LEVEL, lets use default.
      (Closes: #995281).

  [ Mike Gabriel ]
  * debian/control:
    + Bump Standards-Version: to 4.6.0. No changes needed.
  * debian/patches:
    + Add README file explaining our patch naming scheme.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 15 Nov 2021 12:54:31 +0100

lomiri-download-manager (0.1.0-8) unstable; urgency=medium

  * debian/control:
    + Fix D (liblomiri-upload-manager-common-dev):
      liblomiri-upload-manager-common0 instead of
      liblomiri-download-manager-common0. Thanks piuparts.
      (Closes: #988808).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 23 May 2021 22:01:37 +0200

lomiri-download-manager (0.1.0-7) unstable; urgency=medium

  * debian/changelog:
    + Remove 0.1.0-5 release from changelog, never uploaded, simply skipped by
      mistake.
  * debian/control:
    + Make B-D on libgtest-dev versioned (>= 1.10.0.20201025-1~).
    + Update versioned B-D on cmake-extras (>= 1.5-7~).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 13 Dec 2020 20:45:29 +0100

lomiri-download-manager (0.1.0-6) unstable; urgency=medium

  * debian/control:
    + Add B-D: pkg-config, required by 'find_package(GMock)' in cmake-extras.
  * debian/patches:
    + Add 20021_build-without-Werror.patch. Remove -Werror from the equation
      to avoid FTBFS due to 3rd-party library updates in Debian.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 30 Oct 2020 14:41:07 +0100

lomiri-download-manager (0.1.0-4) unstable; urgency=medium

  * debian/control:
    + Update B-D for cmake-extra and require at least version 1.5-5~. (Closes:
      #973078).
    + Switch from transitional google-mock to googletest in B-D.
    + Add libgtest-dev as suggested by recent cmake-extras package.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 30 Oct 2020 09:34:35 +0100

lomiri-download-manager (0.1.0-3) unstable; urgency=medium

  * debian/control:
    + Fix Vcs-*: URLs.
  * debian/*.symbols:
    + Update symbols using pkgkde-symbolshelper.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 08 Sep 2020 15:47:40 +0200

lomiri-download-manager (0.1.0-2) unstable; urgency=medium

  * debian/control:
    + Add B-D: graphviz.
  * debian/liblomiri-download-manager-*.symbols:
    + Update symbols for arch:powerpc.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 07 Sep 2020 21:12:40 +0200

lomiri-download-manager (0.1.0-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #952726).

  * debian/watch:
    + Add file.
  * debian/control:
    + Set Maintainer: to Debian UBports Team and add myself to Uploaders:
      field. Update Homepage: field.
    + Update Vcs-*: fields.
    + Bump Standards-Version: to 4.5.0. No changes needed.
    + Add Rules-Requires-Root: field and set it to 'no'.
    + Add B-Ds: rdfind and symlinks.
    + Add B-D: pkg-kde-tools.
    + Drop from B-D: dh-translations.
    + Drop from B-D: qtdeclarative5-test-plugin; add instead: qml-module-qttest.
    + Drop some redundant 'Section: net' fields.
    + Work through SYNOPSES and LONG_DESCRIPTIONs.
  * debian/{control,*.install}:
    + Switch back to SOVERSION=0 for all shared lib bin:pkgs.
  * debian/{control,compat}:
    + Switch to debhelper-compat notation. Bump DH compat level to version 12.
  * debian/{control,*}:
    + Rename bin:pkg qtdeclarative5-lomiri-download-manager0.1 to
      qml-module-lomiri-downloadmanager.
    + Add bin:pkg qml-module-lomiri-downloadmanager-doc. Move QML API
      documentation into this bin:pkg.
  * debian/rules:
    + Move --fail-missing to dh_missing override.
    + Semantically fix dh_auto_install override.
    + Verbose file removals.
    + Use upstream's NEWS file as upstream ChangeLog.
    + Move LDM client API docs to correct folder, deduplicate files.
    + Add option --with pkgkde_symbolshelper to debhelper calls.
    + Drop now default --parallel DH option.
    + Drop --with-translations DH option. Ubuntu'ism.
    + Forcefully enable all hardening options.
    + Include architecture.mk, stop using dpkg-architecture.
    + Set QT_SELECT to 5.
    + Add get-orig-source target.
    + Fix override_dh_auto_install target. (Remove files after dh_auto_install,
      not before).
    + Remove empty directory in QML API documentation.
  * debian/copyright:
    + Update (fix) global header.
    + Add auto-generated copyright.in file.
    + Detailed file list copyright style.
    + Fine-tune, fix some syntaxt flaws.
  * debian/source/format:
    + Add file (3.0 (quilt)).
  * debian/source/lintian-overrides:
    + Override odd-historical-debian-changelog-version.
  * debian/liblomiri-download-manager-client-dev.install:
    + Install include file lomiri/download_manager/logger.h into
      liblomiri-download-manager-client-dev bin:pkg.
  * debian/liblomiri-download-manager-client-doc.doc-base:
    + Add file.
  * debian/upstream/metadata:
    + Add file. Comply with DEP-12.
  * debian/patches:
    + Add 1001_typo-fixes.patch. Fix typo in DBus specification.
    + Add 1002_doxygen-relative-paths.patch. Avoid build path in generated API
      documentation.
  * debian/*.symbols:
    + Add files (amd64 arch only, for now).
    + Add *Build-Depends-Package: fields.
  * debian/libldm-priv-common0.lintian-overrides:
    + Add file. Override warning about non-provided symbols file (private
      library).
  * man pages:
    + Add very minimal and rudimentry man pages for
      lomiri-{download,upload}-manager.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 02 Mar 2020 22:27:23 +0100

ubuntu-download-manager (1.4+ubports) xenial; urgency=medium

  * Imported to UBports

 -- UBports auto importer <infra@ubports.com>  Wed, 27 Dec 2017 03:58:30 +0100

ubuntu-download-manager (1.3+17.04.20161202-0ubuntu1) zesty; urgency=medium

  * Fix data path for unconfined downloads (LP: #1646758)


