=== debian/control ===
Source: lomiri-download-manager
Section: net
Priority: optional
Build-Depends: cmake,
               cmake-extras (>= 1.5-7~),
               debhelper-compat (= 12),
               dh-apparmor,
               doxygen,
               dbus-test-runner,
               googletest,
               graphviz,
               qtbase5-dev,
               libboost-log-dev,
               libboost-program-options-dev,
               libdbus-1-dev,
               libqt5sql5-sqlite,
               libnih-dbus-dev,
               libgoogle-glog-dev,
               libgtest-dev (>= 1.10.0.20201025-1~),
               pkg-config,
               python3,
               qml-module-qttest,
               qtdeclarative5-dev,
               qtdeclarative5-dev-tools,
               qttools5-dev-tools,
               network-manager,
               rdfind,
               symlinks,
               pkg-kde-tools,
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://gitlab.com/ubports/core/lomiri-download-manager/
Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-download-manager.git
Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-download-manager/

Package: libldm-common0
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Lomiri Upload/Download Manager - shared library
 Lomiri Upload/Download Manager performs uploads and downloads from a
 centralized location.
 .
 This package includes the common shared library, shared between the
 client lib and the service lib.

Package: libldm-common-dev
Section: libdevel
Architecture: any
Depends: libldm-common0 (= ${binary:Version}),
         qtbase5-dev,
         ${shlibs:Depends},
         ${misc:Depends}
Description: Lomiri Upload/Download Manager - development files
 Lomiri Uploadi/Download Manager performs uploads and downloads from a
 centralized location.
 .
 This package contains the common headers, shared between the client
 library and the daemon library.

Package: libldm-priv-common0
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libldm-common0 (= ${binary:Version}),
Description: Lomiri Upload/Download Manager - shared private library
 Lomiri Upload/Download Manager performs uploads and downloads from a
 centralized location.
 .
 This package includes an auxiliary shared (but private) library.

Package: liblomiri-download-manager-common0
Section: libs
Architecture: any
Depends: libldm-common0 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: QT library for Lomiri Download Manager - common shared library
 Lomiri Download Manager performs uploads and downloads from a
 centralized location.
 .
 This package includes the common shared library between the client lib
 and the service lib.

Package: liblomiri-download-manager-common-dev
Section: libdevel
Architecture: any
Depends: libldm-common-dev (= ${binary:Version}),
         liblomiri-download-manager-common0 (= ${binary:Version}),
         qtbase5-dev,
         ${shlibs:Depends},
         ${misc:Depends}
Description: QT library for Lomiri Download Manager - common development files
 Lomiri Upload/Download Manager performs uploads and downloads from a
 centralized location.
 .
 This package contains the common headers shared between the client
 library and the daemon library.

Package: liblomiri-download-manager-client0
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libldm-common0 (= ${binary:Version}),
         liblomiri-download-manager-common0 (= ${binary:Version}),
Description: QT library for Lomiri Download Manager - shared client library
 Lomiri Download Manager performs downloads from a centralized location.
 .
 This package includes the public shared library providing the API
 for implementing a service client.

Package: liblomiri-download-manager-client-dev
Section: libdevel
Architecture: any
Depends: libldm-common-dev (= ${binary:Version}),
         liblomiri-download-manager-common-dev (= ${binary:Version}),
         liblomiri-download-manager-client0 (= ${binary:Version}),
         qtbase5-dev,
         ${shlibs:Depends},
         ${misc:Depends}
Breaks: lomiri-download-manager-client-dev
Replaces: lomiri-download-manager-client-dev
Description: QT library for Lomiri Download Manager - client development files
 Lomiri Download Manager performs downloads from a centralized location.
 .
 This package contains the header that can be used to allow an
 application use the Lomiri Download Manager client library.

Package: liblomiri-download-manager-client-doc
Section: doc
Architecture: all
Depends: liblomiri-download-manager-client-dev (>= ${source:Version}),
          ${misc:Depends},
Description: QT library for Lomiri Download Manager - client documentation files
 Lomiri Upload/Download Manager performs uploads and downloads from a
 centralized location.
 .
 Documentation files for the LDM client development.

Package: liblomiri-upload-manager-common0
Section: libs
Architecture: any
Depends: libldm-common0 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: QT library for Lomiri Upload Manager - shared common library
 Lomiri Upload Manager performs uploads from a centralized location.
 .
 This package includes the common shared library between the client lib
 and the service lib.

Package: liblomiri-upload-manager-common-dev
Section: libdevel
Architecture: any
Depends: libldm-common-dev (= ${binary:Version}),
         liblomiri-upload-manager-common0 (= ${binary:Version}),
         qtbase5-dev,
         ${shlibs:Depends},
         ${misc:Depends}
Description: QT library for Lomiri Upload Manager - common development files
 Lomiri Upload Manager performs uploads from a centralized location.
 .
 This package contains the common headers shared between the client
 library and the daemon library.

Package: lomiri-download-manager
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libldm-common0 (= ${binary:Version}),
         libldm-priv-common0 (= ${binary:Version}),
         liblomiri-download-manager-common0 (= ${binary:Version}),
         unzip
Suggests: apparmor
Description: Lomiri Download Manager - daemon
 Lomiri Download Manager performs downloads from a centralized
 location.
 .
 This package includes the Lomiri Download Manager user space daemon.

Package: lomiri-upload-manager
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libldm-common0 (= ${binary:Version}),
         libldm-priv-common0 (= ${binary:Version}),
         liblomiri-upload-manager-common0 (= ${binary:Version}),
Description: Lomiri Upload Manager - daemon
 Lomiri Upload Manager performs uploads from a centralized
 location.
 .
 This package includes the Lomiri Upload Manager user space daemon.

Package: qml-module-lomiri-downloadmanager
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libldm-common0 (= ${binary:Version}),
         liblomiri-download-manager-common0 (= ${binary:Version}),
         liblomiri-download-manager-client0 (= ${binary:Version}),
         lomiri-download-manager (= ${binary:Version})
Description: Lomiri Download Manager QML Plugin
 Lomiri Upload/Download Manager performs uploads and downloads from a
 centralized location.
 .
 This package contains a QML Plugin to handle downloads from a pure QML
 application, without the need to write any C++ code.

Package: qml-module-lomiri-downloadmanager-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
Description: Lomiri Download Manager QML Plugin - documentation files
 Lomiri Upload/Download Manager performs uploads and downloads from a
 centralized location.
 .
 This package contains the documentation of the Lomiri DownloadManager
 QML Plugin.
