=== debian/watch ===
version=4
https://gitlab.com/ubports/core/lomiri-download-manager/tags .*/lomiri-download-manager-(\d\S+)\.tar\.gz
